Bug 242448 - sysutils/py-supervisor: Update to 4.2.0
Summary: sysutils/py-supervisor: Update to 4.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Li-Wen Hsu
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2019-12-05 12:11 UTC by Thomas Steen Rasmussen / Tykling
Modified: 2020-07-01 09:55 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (hizel)


Attachments
update to 4.1 (1.35 KB, patch)
2019-12-05 12:50 UTC, Thomas Steen Rasmussen / Tykling
no flags Details | Diff
Update to 4.2.0 (1.31 KB, patch)
2020-05-23 15:21 UTC, Thomas Steen Rasmussen / Tykling
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Steen Rasmussen / Tykling 2019-12-05 12:11:18 UTC
Since supervisord 4.0 with python3 logging process output to syslog has not worked. This has been fixed in supervisord 4.1 which was out in October: http://supervisord.org/changes.html?highlight=syslog
Comment 1 Thomas Steen Rasmussen / Tykling 2019-12-05 12:50:32 UTC
Created attachment 209722 [details]
update to 4.1

I think this patch should update to 4.1. It also removes the dependency on feld as per changelog.
Comment 2 Thomas Steen Rasmussen / Tykling 2019-12-05 12:51:42 UTC
I meant meld of course.
Comment 3 Ben Woods freebsd_committer 2019-12-11 08:26:42 UTC
Hi hizel, I noticed the last few updates to this port have resulted in maintainer timeout. Would you like to continue to maintain it, or would you be interested in handing it over to someone else?

Thomas - would you be interested in maintaining this port?
Comment 4 Thomas Steen Rasmussen / Tykling 2020-05-23 15:21:31 UTC
Created attachment 214784 [details]
Update to 4.2.0

New patch for 4.2.0. I can try to maintain the port, but I have no previous experience. Mostly I just really want the version in the tree updated. Thanks!
Comment 5 commit-hook freebsd_committer 2020-07-01 09:55:12 UTC
A commit references this bug:

Author: lwhsu
Date: Wed Jul  1 09:54:26 UTC 2020
New revision: 540945
URL: https://svnweb.freebsd.org/changeset/ports/540945

Log:
  Update to 4.2.0

  Pass the maintainership to submitter, as there are many maintainer timeout
  happened before and no response of maintainership transfering for more than
  6 months.

  PR:		242448
  Submitted by:	Thomas Steen Rasmussen / Tykling <thomas@gibfest.dk>
  Approved by:	maintainer timeout

Changes:
  head/sysutils/py-supervisor/Makefile
  head/sysutils/py-supervisor/distinfo